Python
import os
from channel3_sdk import Channel3
client = Channel3(
api_key=os.environ.get("CHANNEL3_API_KEY"), # This is the default and can be omitted
)
lookup_response = client.products.lookup(
url="url",
)
print(lookup_response.product)import Channel3 from '@channel3/sdk';
const client = new Channel3({
apiKey: process.env['CHANNEL3_API_KEY'], // This is the default and can be omitted
});
const lookupResponse = await client.products.lookup({ url: 'url' });
console.log(lookupResponse.product);curl --request POST \
--url https://api.trychannel3.com/v1/lookup \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "<string>",
"max_staleness_hours": 3
}
'{
"product": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"brands": [
{
"id": "<string>",
"name": "<string>"
}
],
"images": [],
"categories": [
"<string>"
],
"category": {
"slug": "<string>",
"title": "<string>",
"has_children": true,
"path": [
{
"slug": "<string>",
"title": "<string>"
}
]
},
"materials": [
"<string>"
],
"key_features": [
"<string>"
],
"offers": [
{
"url": "<string>",
"domain": "<string>",
"price": {
"price": 123,
"currency": "<string>",
"compare_at_price": 123
},
"max_commission_rate": 0,
"dimensions": {
"length": {
"number": 123
},
"width": {
"number": 123
},
"height": {
"number": 123
},
"weight": {
"number": 123
}
}
}
],
"variants": {
"options": [
{
"name": "<string>",
"values": [
{
"label": "<string>",
"exists": true,
"thumbnail_url": "<string>",
"product_id": "<string>"
}
]
}
],
"selected": [
{
"name": "<string>",
"label": "<string>"
}
]
},
"structured_attributes": {}
}
}
Product
Lookup Product
Retrieve product information for any supported product URL.
Returns the same Product model as GET /v1/products/. The product_id in the response can be used with the Product Detail endpoint.
POST
/
v1
/
lookup
Python
import os
from channel3_sdk import Channel3
client = Channel3(
api_key=os.environ.get("CHANNEL3_API_KEY"), # This is the default and can be omitted
)
lookup_response = client.products.lookup(
url="url",
)
print(lookup_response.product)import Channel3 from '@channel3/sdk';
const client = new Channel3({
apiKey: process.env['CHANNEL3_API_KEY'], // This is the default and can be omitted
});
const lookupResponse = await client.products.lookup({ url: 'url' });
console.log(lookupResponse.product);curl --request POST \
--url https://api.trychannel3.com/v1/lookup \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "<string>",
"max_staleness_hours": 3
}
'{
"product": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"brands": [
{
"id": "<string>",
"name": "<string>"
}
],
"images": [],
"categories": [
"<string>"
],
"category": {
"slug": "<string>",
"title": "<string>",
"has_children": true,
"path": [
{
"slug": "<string>",
"title": "<string>"
}
]
},
"materials": [
"<string>"
],
"key_features": [
"<string>"
],
"offers": [
{
"url": "<string>",
"domain": "<string>",
"price": {
"price": 123,
"currency": "<string>",
"compare_at_price": 123
},
"max_commission_rate": 0,
"dimensions": {
"length": {
"number": 123
},
"width": {
"number": 123
},
"height": {
"number": 123
},
"weight": {
"number": 123
}
}
}
],
"variants": {
"options": [
{
"name": "<string>",
"values": [
{
"label": "<string>",
"exists": true,
"thumbnail_url": "<string>",
"product_id": "<string>"
}
]
}
],
"selected": [
{
"name": "<string>",
"label": "<string>"
}
]
},
"structured_attributes": {}
}
}
Authorizations
Body
application/json
Response
Successful Response
Response from the /v1/lookup endpoint.
Product with detailed information.
Show child attributes
Show child attributes
Was this page helpful?
⌘I